### Method

# RB RhythmDB entry_move_to_trash

#### Declaration [src]

    void
    rhythmdb_entry_move_to_trash (
      RhythmDB* db,
      RhythmDBEntry* entry
    )

#### Description [src]

Trashes the file represented by #entry. If possible, the file is moved to the user’s trash directory and the entry is set to hidden, otherwise the error will be stored as the playback error for the entry.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  `RhythmDBEntry` to trash.

  The data is owned by the caller of the method.